"use strict";

import { class_Delay } from "../../Util/Class_Delay.js";
import * as View       from "../../Util/View.js";
import * as GlobalData from "../../Global/GlobalData.js";
import * as Tools      from "../../Util/Tools.js";

const delay = new class_Delay(150);

// View.context.font = "30px Verdana";

export function handleGameTick()
{
	if (delay.hasExpired())
	{
		drawContent();
	}
}

function drawContent()
{
	const gradient_01 = View.context.createLinearGradient(0, 0, 0, GlobalData.CANVAS_HEIGHT);
	gradient_01.addColorStop(0, "black");
	gradient_01.addColorStop(0.25, "red");
	gradient_01.addColorStop(0.75, "red");
	gradient_01.addColorStop(1, "black");
	View.context.fillStyle = gradient_01;
	View.context.fillRect(0, 0, GlobalData.CANVAS_WIDTH, GlobalData.CANVAS_HEIGHT);

	//---

	let X;
	let Y = 130;

	let text = "Cluster Tiles";
	View.context.font = "bold 75px Verdana";
	X = Tools.calculateTextXcoordinate(text);
	View.context.fillStyle = "white";
	View.context.fillText(text, X, Y);
	View.context.strokeStyle = "black";
	View.context.strokeText(text, X, Y);

	View.context.shadowColor = "black";
	View.context.shadowOffsetX = 2;
	View.context.shadowOffsetY = 2;
	View.context.shadowBlur = 3;

	Y = 210;
	text = "info :";
	View.context.font = "24px Verdana";
	X = Tools.calculateTextXcoordinate(text);
	View.context.fillStyle = "orange";
	View.context.fillText(text, X, Y);

	Y = 300;
	text = "U : undo";
	View.context.font = "28px Verdana";
	X = Tools.calculateTextXcoordinate(text);
	View.context.fillStyle = "yellow";
	View.context.fillText(text, X, Y);

	View.context.font = "20px Verdana";
	View.context.fillStyle = "orange";
	Y = 730;
	text = "This is my very first JavaScript game.";	
	X = Tools.calculateTextXcoordinate(text);	
	View.context.fillText(text, X, Y);
	Y += 30;
	text = "It was developed between dec 2021 and may 2022.";
	X = Tools.calculateTextXcoordinate(text);
	View.context.fillText(text, X, Y);

	View.context.font = "20px Verdana";
	View.context.fillStyle = "gray";
	Y = 825;
	text = "press 'F1' to go back";	
	X = Tools.calculateTextXcoordinate(text);	
	View.context.fillText(text, X, Y);
	Y += 30;
	text = "press 'F3' to play";
	X = Tools.calculateTextXcoordinate(text);
	View.context.fillText(text, X, Y);	
	
	View.context.shadowColor = "rgba(0,0,0,0)"; // Restore default-value / turn-off shadowing.
}
