"use strict";

import * as GeneralController from "../../Global/GeneralController.js";
import * as TitleScreen       from "../TitleScreen/TitleScreen_01.js";
import * as GlobalData        from "../../Global/GlobalData.js";

import { class_RepetitionChecker } from "../../Util/Class_RepetitionChecker.js";

const repetitionChecker = new class_RepetitionChecker();

let isInitialized = false;

export function init()
{
	if (!isInitialized)
	{
		TitleScreen.init();
		isInitialized = true;
	}
}

export function handleGameTick()
{
	handleInput();
	TitleScreen.handleGameTick();
}

function handleInput()
{
	if (!repetitionChecker.isRepeating(GeneralController.userInput))
	{
		switch (GeneralController.userInput)
		{
			case GlobalData.enumUserInput.TITLE_SCREEN : GeneralController.switchToTitleScreen() ; break;
			case GlobalData.enumUserInput.HELP_SCREEN  : GeneralController.switchToHelpScreen()  ; break;
			case GlobalData.enumUserInput.PLAY_SCREEN  : GeneralController.switchToPlayScreen()  ; break;
		}
	}
}
