"use strict";

export const STAGE_COUNT = 7;
export const MAX_SCORE_LENGTH = 7; // Nodig voor het berekenen van het aantal voorloop-nullen.

export const TILE_SIZE = 50;
export const TILE_BORDER_WIDTH = 2;

export const ROW_COUNT = 18;
export const COL_COUNT = 24;

export const OFFSET_GAME_FIELD_LEFT = 0;
export const OFFSET_GAME_FIELD_TOP  = 0;

export const CANVAS_WIDTH  = COL_COUNT * TILE_SIZE + TILE_BORDER_WIDTH;
export const CANVAS_HEIGHT = ROW_COUNT * TILE_SIZE + TILE_BORDER_WIDTH;

//---

export const X_GAMEFIELD_TOP_LEFT = OFFSET_GAME_FIELD_LEFT;
export const Y_GAMEFIELD_TOP_LEFT = OFFSET_GAME_FIELD_TOP;

export const X_GAMEFIELD_BOTTOM_RIGHT = X_GAMEFIELD_TOP_LEFT + (COL_COUNT * TILE_SIZE);
export const Y_GAMEFIELD_BOTTOM_RIGHT = Y_GAMEFIELD_TOP_LEFT + (ROW_COUNT * TILE_SIZE);

//---

export const ROW_MIN = 0;
export const ROW_MAX = ROW_COUNT - 1;

export const COL_MIN = 0;
export const COL_MAX = COL_COUNT - 1;

//---

export const HI_SCORE_PRESET = 22510;

export const UNDERSCORE = "_";

export const EXPLOSION_NUMBER_MIN = 300;
export const EXPLOSION_NUMBER_MAX = 999;

export const TILE_NUMBER_MAX = 14;

export const enumTileNumber = Object.freeze({
	RED     : 11,
	GREEN   : 12,
	BLUE    : 13,
	YELLOW  : TILE_NUMBER_MAX,
	NO_TILE : 100,
});

export const enumColor = Object.freeze({
	UNDEFINED : "#D83EFF", // Purple.
	BLACK     : "#000000",
	WHITE     : "#FFFFFF",
	RED       : "#DE6465",
	GREEN     : "#5DAC7D",
	BLUE      : "#3C9CD1",
	YELLOW    : "#FFD73A"
});

export const enumUserInput = Object.freeze({
	NONE         : 10,
	ESCAPE       : 11,
	PAUSE        : 12,
	MOVE_LEFT    : 13,
	MOVE_RIGHT   : 14,
	MOVE_UP      : 15,
	MOVE_DOWN    : 16,
	TITLE_SCREEN : 17,
	HELP_SCREEN  : 18,
	PLAY_SCREEN  : 19,
	UNDO         : 20
});
