"use strict";

import * as View       from "./View.js";
import { class_Delay } from "./Class_Delay.js";

export class class_BlinkingText
{
	#delay  = new class_Delay(500);
	#toggle = true;

	#text
  #font
	#X
  #Y

	constructor(text, font, X, Y)
	{
		this.#text = text;
		this.#font = font;
		this.#X = X;
		this.#Y = Y;
	}

	handleGameTick()
	{
		this.#drawtext();
		if (this.#delay.hasExpired())
		{
			this.#toggle = !this.#toggle;
		}
	}

	#drawtext()
	{
		if (this.#toggle)
		{
			View.context.font = this.#font;
			View.context.fillStyle = "white";
			View.context.fillText(this.#text, this.#X, this.#Y);
		}
	}

	reset()
	{
		this.#delay.reset();
		this.#toggle = true;
	}

}
