"use strict";

export class class_Delay
{
	#timeToPause
	#startTime
	
	constructor(millisecondsToPause)
	{
		this.#timeToPause = millisecondsToPause;
		this.reset();
	}

	hasExpired()
	{
		const elapsedTime = performance.now() - this.#startTime;
		if (elapsedTime >= this.#timeToPause)
		{
			this.reset();
			return true;
		}
		else
		{
			return false;
		}
	}

	hasNotExpired()
	{
		return !this.hasExpired();
	}

	reset()
	{
		this.#startTime = performance.now();
	}

}
