"use strict";

import {class_TextPopup} from "./Class_TextPopup.js";

const textMap = new Map();
let textKey = 0;

const textsToRemove = [];

export function handleGameTick()
{
	textsToRemove.length = 0;

	for (const key of textMap.keys())
	{
		const text = textMap.get(key);
		if (!text.isFinished)
		{
			text.handleGameTick();
		}
		else
		{
			textsToRemove.push(key);
		}
	}

	for (let i = 0 ; i < textsToRemove.length ; i++)
	{
		textMap.delete(textsToRemove[i]);
	}
}

export function addText(text, X, Y)
{
	const key = getNewKey();
	const textPopup = new class_TextPopup(key, text, X, Y);

	textMap.set(key, textPopup);
}

function getNewKey()
{
	textKey++;
	if (textKey >= 999)
	{
		textKey = 0;
	}
	return textKey;
}
