"use strict";

import * as ExplosionManager from "./Explosion/ExplosionManager.js";
import * as GameField        from "../Global/GameField.js";

const undoDataArray = [];

export function reset()
{
	undoDataArray.length = 0;
}

export function addUndoData()
{
	const undoTileDataArray = GameField.getUndoData();
	undoDataArray.push(undoTileDataArray);
	GameField.updatePreviousData();
}

export function applyUndo()
{
	if (undoDataArray.length === 0 || ExplosionManager.hasExplosions())
	{
		return;
	}

	const tileDataArray = undoDataArray.pop();
	for (let i = 0 ; i < tileDataArray.length ; i++)
	{
		const tileData = tileDataArray[i];
		GameField.data[tileData[0]][tileData[1]] = tileData[2];
	}

	GameField.updatePreviousData();
}
